Subject: Re: Add extension work to Interop matrix

From: Lucas Pardue <[email-masked]>
Date: Wed, 26 Feb 2020 19:41:07 +0000

To close the loop on this thread. We had some more discussion during the
Zurich interim meeting and I took an action to set up a separate extensions
interop matrix.

I've added a wiki page for QUIC extension, this is open to adopted and
non-adopted extensions:
https://github.com/quicwg/base-drafts/wiki/QUIC-Extensions-Interop. The
page contains a table of letters to be used to record interop results in
the extensions matrix. Letters can be reserved on a first-come,
first-served basis but please do consider your neighbours.

The extensions interop matrix lives in a new Google docs spreadsheet that
uses purple conditional formatting -
https://docs.google.com/spreadsheets/d/1Ygbit9UySHLMBT8FNgIIqRt2PVo1J9HLJ-yIpfjE374

Cheers
Lucas

On Wed, Jan 8, 2020 at 12:28 PM Lars Eggert <[email-masked]> wrote:

> Hi,
>
> On 2020-1-7, at 16:31, Dmitri Tikhonov <[email-masked]>
> wrote:
> > There are now a few extensions that have been proposed and implemented.
> > We should add them to the next Interop matrix.
>
> maybe we should add a fourth row for extensions?
>
> I'm with Lucas on that I'd like to keep the sheet focused on protocol
> features (and now possibly extensions) that have seen WG adoption. The
> rough idea is that unless we believe that the majority of implementations
> are going to implement something, it's probably not worthwhile adding it to
> the sheet.
>
> Lars
>

---

From: Christian Huitema <[email-masked]>
Date: Wed, 26 Feb 2020 12:14:28 -0800

Two suggestions:

1) Move from draft-25 to draft-27

2) Add "d" for datagram, specify siduck as test tool.

On 2/26/2020 11:41 AM, Lucas Pardue wrote:
> To close the loop on this thread. We had some more discussion during
> the Zurich interim meeting and I took an action to set up a separate
> extensions interop matrix. 
>
> https://github.com/quicwg/base-drafts/wiki/QUIC-Extensions-Interop.
> The page contains a table of letters to be used to record interop
> results in the extensions matrix. Letters can be reserved on a
> first-come, first-served basis but please do consider your neighbours. 
>
> The extensions interop matrix lives in a new Google docs spreadsheet
> that uses purple conditional formatting -
> On Wed, Jan 8, 2020 at 12:28 PM Lars Eggert <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     On 2020-1-7, at 16:31, Dmitri Tikhonov
>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
>     > There are now a few extensions that have been proposed and
>     implemented..
>     I'm with Lucas on that I'd like to keep the sheet focused on
>     protocol features (and now possibly extensions) that have seen WG
>     adoption. The rough idea is that unless we believe that the
>     majority of implementations are going to implement something, it's
>     probably not worthwhile adding it to the sheet.
>
>     Lars
>

---

From: Lucas Pardue <[email-masked]>
Date: Wed, 26 Feb 2020 20:27:03 +0000

Hey Christian,

Although I set up the page and matrix resources, my goal is for the
community to self-organise their use.

Unlike the core QUIC documents and their "Implementation draft" interops,
extensions don't necessarily need to follow the same cadence or coordinate
closely between each other.

That said, I have some stake in the DATAGRAM tests. d for DATAGRAM sounds
good to me.

Lucas

On Wed, 26 Feb 2020, 20:14 Christian Huitema, <[email-masked]> wrote:

>> > There are now a few extensions that have been proposed and implemented..

---

From: Dmitri Tikhonov <[email-masked]>
Date: Wed, 26 Feb 2020 15:50:12 -0500

> That said, I have some stake in the DATAGRAM tests. d for DATAGRAM sounds

I proposed 'g' earlier in this thread.  This way, the letters from
the two interop matrices have no conflicts ('d' is for QPACK dynamic
table).

Of course, true to my creed, I won't die on this hill (or any other
hill).

  - Dmitri.

---

From: Christian Huitema <[email-masked]>
Date: Wed, 26 Feb 2020 14:11:03 -0800

> Of course, true to my creed, I won't die on this hill (or any other

Nobody wants that. And I certainly don't to want abuse military
metaphors. "g" it is.

-- Christian Huitema